import * as i0 from '@angular/core';
import { Injectable, Component, Input, NgModule } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import * as i3 from '@angular/common';
import { CommonModule } from '@angular/common';

class DpwFeedbackWidgetService {
    constructor() {
        this.feedbackMetaData = new BehaviorSubject(null);
        this.feedbackMetaData$ = this.feedbackMetaData.asObservable();
    }
    updateMetaData(data) {
        this.feedbackMetaData.next(data);
    }
}
DpwFeedbackWidgetService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
DpwFeedbackWidgetService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class FeedbackWidgetHeaderComponent {
    constructor(feedbackWidgetService) {
        this.feedbackWidgetService = feedbackWidgetService;
    }
    ngOnInit() {
        this.feedbackWidgetService.feedbackMetaData$.subscribe((metaData) => {
            this.data = metaData;
        });
    }
}
FeedbackWidgetHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: FeedbackWidgetHeaderComponent, deps: [{ token: DpwFeedbackWidgetService }], target: i0.ɵɵFactoryTarget.Component });
FeedbackWidgetHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: FeedbackWidgetHeaderComponent, selector: "lib-feedback-widget-header", ngImport: i0, template: "<div class=\"header-container\">\n  <p class=\"header\">{{ data?.header }}</p>\n  <p class=\"sub-header\">{{ data?.subHeader }}</p>\n  <img *ngIf=\"data?.showClose\" class=\"close-icon\" (click)=\"data?.onClose()\" src=\"assets/images/close_icon.svg\" />\n</div>\n", styles: [":host .header-container .header{font-weight:700;font-size:24px;line-height:33px}:host .header-container .sub-header{font-weight:400;font-size:15px;line-height:21px}:host .header-container .close-icon{position:absolute;top:10px;right:10px;width:21px;height:21px;cursor:pointer}\n"], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: FeedbackWidgetHeaderComponent, decorators: [{
            type: Component,
            args: [{
                    selector: "lib-feedback-widget-header",
                    templateUrl: "./feedback-widget-header.component.html",
                    styleUrls: ["./feedback-widget-header.component.scss"],
                }]
        }], ctorParameters: function () { return [{ type: DpwFeedbackWidgetService }]; } });

class FeedbackWidgetFooterComponent {
    constructor(feedbackWidgetService) {
        this.feedbackWidgetService = feedbackWidgetService;
    }
    ngOnInit() {
        this.feedbackWidgetService.feedbackMetaData$.subscribe((metaData) => {
            this.data = metaData;
        });
    }
}
FeedbackWidgetFooterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: FeedbackWidgetFooterComponent, deps: [{ token: DpwFeedbackWidgetService }], target: i0.ɵɵFactoryTarget.Component });
FeedbackWidgetFooterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: FeedbackWidgetFooterComponent, selector: "lib-feedback-widget-footer", inputs: { fullWidth: "fullWidth" }, ngImport: i0, template: "<div class=\"footer-container\">\n  <button class=\"submit-btn active\" [ngClass]=\"{'fullWidth': fullWidth}\">{{ data?.submitBtnText }}</button>\n</div>\n", styles: [":host .footer-container{display:flex;align-items:center;justify-content:flex-end}:host .footer-container .submit-btn{width:200px;height:40px;border-radius:3px;font-weight:700;font-size:12px;line-height:21px;text-align:center;text-transform:uppercase;color:#fff;cursor:pointer}:host .footer-container .submit-btn.active{background:#0b78d0;border:3px solid #0b78d0}:host .footer-container .submit-btn.disable{background:#bebec1;border:3px solid #bebec1}:host .footer-container .submit-btn.fullWidth{width:100%}\n"], directives: [{ type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: FeedbackWidgetFooterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: "lib-feedback-widget-footer",
                    templateUrl: "./feedback-widget-footer.component.html",
                    styleUrls: ["./feedback-widget-footer.component.scss"],
                }]
        }], ctorParameters: function () { return [{ type: DpwFeedbackWidgetService }]; }, propDecorators: { fullWidth: [{
                type: Input
            }] } });

class StarFeedbackWidgetComponent {
    constructor() {
        this.ratingArr = [
            {
                rating: 1,
                title: "Very Bad",
                imgUrl: "assets/images/terribleEmoji.svg",
            },
            {
                rating: 2,
                title: "Bad",
                imgUrl: "assets/images/badEmoji.svg",
            },
            {
                rating: 3,
                title: "Okay",
                imgUrl: "assets/images/okayEmoji.svg",
            },
            {
                rating: 4,
                title: "Good",
                imgUrl: "assets/images/goodEmoji.svg",
            },
            {
                rating: 5,
                title: "Excellent",
                imgUrl: "assets/images/amazingEmoji.svg",
            },
        ];
        this.starIcon = "assets/images/starIcon.svg";
        this.starIconYellow = "assets/images/starIconYellow.svg";
    }
    ngOnInit() { }
    onSelect(value) {
        this.selected = value;
    }
}
StarFeedbackWidgetComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: StarFeedbackWidgetComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
StarFeedbackWidgetComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: StarFeedbackWidgetComponent, selector: "app-star-feedback-widget", ngImport: i0, template: "<div class=\"dialog-container\">\n    <lib-feedback-widget-header></lib-feedback-widget-header>\n    <div class=\"rating-container\">\n        <div class=\"rating\" *ngFor=\"let item of ratingArr\" [ngClass]=\"{'active': selected === item.title }\" (click)=\"onSelect(item)\">\n            <img [src]=\"selected?.rating >= item.rating ? starIconYellow : starIcon\" />\n        </div>\n    </div>\n    <div class=\"rating-info\" [hidden]=\"!selected\">\n        <img [src]=\"selected?.imgUrl\" />\n        <span [ngClass]=\"{'green': selected?.rating > 2, 'red': selected?.rating < 3}\">{{ selected?.title }}</span>\n    </div>\n    <lib-feedback-widget-footer [fullWidth]=\"true\"></lib-feedback-widget-footer>\n</div>\n", styles: [":host .dialog-container{max-height:400px;width:400px}:host .dialog-container .rating-container{display:flex;justify-content:space-between;margin:40px 0}:host .dialog-container .rating-container .rating{display:flex;flex-direction:column;align-items:center;justify-content:center;cursor:pointer}:host .dialog-container .rating-container .rating img{width:40px;height:38px}:host .dialog-container .rating-info{display:flex;align-items:center;justify-content:center;margin:40px 0}:host .dialog-container .rating-info span{margin-left:10px;font-weight:700;font-size:15px;line-height:21px}:host .dialog-container .rating-info span.green{color:#5fb25c}:host .dialog-container .rating-info span.red{color:#e53935}\n"], components: [{ type: FeedbackWidgetHeaderComponent, selector: "lib-feedback-widget-header" }, { type: FeedbackWidgetFooterComponent, selector: "lib-feedback-widget-footer", inputs: ["fullWidth"] }], directives: [{ type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: StarFeedbackWidgetComponent, decorators: [{
            type: Component,
            args: [{
                    selector: "app-star-feedback-widget",
                    templateUrl: "./star-feedback-widget.component.html",
                    styleUrls: ["./star-feedback-widget.component.scss"],
                }]
        }], ctorParameters: function () { return []; } });

class SmileyFeedbackWidgetComponent {
    constructor() {
        this.ratings = [
            {
                title: "Terrible",
                imgUrl: "assets/images/terribleEmoji.svg",
            },
            {
                title: "Bad",
                imgUrl: "assets/images/badEmoji.svg",
            },
            {
                title: "Okay",
                imgUrl: "assets/images/okayEmoji.svg",
            },
            {
                title: "Good",
                imgUrl: "assets/images/goodEmoji.svg",
            },
            {
                title: "Amazing",
                imgUrl: "assets/images/amazingEmoji.svg",
            },
        ];
    }
    ngOnInit() { }
    onSelect(value) {
        this.selected = value;
    }
}
SmileyFeedbackWidgetComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: SmileyFeedbackWidgetComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SmileyFeedbackWidgetComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: SmileyFeedbackWidgetComponent, selector: "app-smiley-feedback-widget", ngImport: i0, template: "<div class=\"dialog-container\">\n    <lib-feedback-widget-header></lib-feedback-widget-header>\n    <div class=\"rating-container\">\n        <div class=\"rating\" *ngFor=\"let item of ratings\" [ngClass]=\"{'active': selected === item.title }\" (click)=\"onSelect(item.title)\">\n            <img [src]=\"item.imgUrl\" />\n            <label>{{item.title}}</label>\n        </div>\n    </div>\n    <lib-feedback-widget-footer></lib-feedback-widget-footer>\n</div>\n", styles: [":host .dialog-container{max-height:400px;width:650px}:host .dialog-container .rating-container{display:flex;justify-content:space-between;margin:40px 0}:host .dialog-container .rating-container .rating{border:1px solid #6a6a6d;border-radius:3px;text-align:center;width:100px;height:100px;display:flex;flex-direction:column;align-items:center;justify-content:center;cursor:pointer}:host .dialog-container .rating-container .rating img{width:30px;height:30px}:host .dialog-container .rating-container .rating label{margin-top:10px}:host .dialog-container .rating-container .rating.active,:host .dialog-container .rating-container .rating:hover{background:#e3f2fd;border:1px solid #0b78d0}\n"], components: [{ type: FeedbackWidgetHeaderComponent, selector: "lib-feedback-widget-header" }, { type: FeedbackWidgetFooterComponent, selector: "lib-feedback-widget-footer", inputs: ["fullWidth"] }], directives: [{ type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: SmileyFeedbackWidgetComponent, decorators: [{
            type: Component,
            args: [{
                    selector: "app-smiley-feedback-widget",
                    templateUrl: "./smiley-feedback-widget.component.html",
                    styleUrls: ["./smiley-feedback-widget.component.scss"],
                }]
        }], ctorParameters: function () { return []; } });

class FeedbackWidgetThankyouComponent {
    constructor(feedbackWidgetService) {
        this.feedbackWidgetService = feedbackWidgetService;
    }
    ngOnInit() {
        this.feedbackWidgetService.feedbackMetaData$.subscribe((metaData) => {
            this.data = metaData;
        });
    }
}
FeedbackWidgetThankyouComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: FeedbackWidgetThankyouComponent, deps: [{ token: DpwFeedbackWidgetService }], target: i0.ɵɵFactoryTarget.Component });
FeedbackWidgetThankyouComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: FeedbackWidgetThankyouComponent, selector: "lib-feedback-widget-thankyou", ngImport: i0, template: "<div class=\"dialog-container\">\n  <p class=\"header\">\n    <img src=\"assets/images/greenTick.svg\" />\n    {{ data?.thankyouHeader }}\n  </p>\n  <p class=\"sub-header\">{{ data?.thankyouSubHeader }}</p>\n  <img\n    *ngIf=\"data?.showClose\"\n    class=\"close-icon\"\n    (click)=\"data?.onClose()\"\n    src=\"assets/images/close_icon.svg\"\n  />\n  <div class=\"footer-container\">\n    <button class=\"submit-btn active\">{{ data?.thankyouBtnText }}</button>\n  </div>\n</div>\n", styles: [":host .dialog-container{max-height:400px;width:400px}:host .dialog-container .header{font-weight:700;font-size:24px;line-height:33px;color:#5fb25c;display:flex;align-items:center}:host .dialog-container .header img{margin-right:15px}:host .dialog-container .sub-header{font-weight:400;font-size:15px;line-height:21px}:host .dialog-container .close-icon{position:absolute;top:10px;right:10px;width:21px;height:21px;cursor:pointer}:host .dialog-container .footer-container{display:flex;align-items:center;justify-content:flex-end;margin-top:40px}:host .dialog-container .footer-container .submit-btn{width:125px;height:40px;border-radius:3px;font-weight:700;font-size:12px;line-height:21px;text-align:center;text-transform:uppercase;color:#fff;cursor:pointer}:host .dialog-container .footer-container .submit-btn.active{background:#0b78d0;border:3px solid #0b78d0}\n"], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: FeedbackWidgetThankyouComponent, decorators: [{
            type: Component,
            args: [{
                    selector: "lib-feedback-widget-thankyou",
                    templateUrl: "./feedback-widget-thankyou.component.html",
                    styleUrls: ["./feedback-widget-thankyou.component.scss"],
                }]
        }], ctorParameters: function () { return [{ type: DpwFeedbackWidgetService }]; } });

class DpwFeedbackWidgetComponent {
    constructor(feedbackWidgetService) {
        this.feedbackWidgetService = feedbackWidgetService;
        this.header = "Share Your Feedback";
        this.ratingStyle = "smiley";
        this.submitBtnText = "Submit Feedback";
        this.showClose = true;
        this.thankyouHeader = "Thank You!";
        this.thankyouSubHeader = "We appriciate your feedback and response. Looking forward to serve you again.";
        this.thankyouBtnText = "Done";
        this.feedbackSubmitted = false;
        this.enableProgressive = true;
        this.progressiveChipInfo = {
            chips: [],
            thankyouHeader: "Thank you for sharing your thoughts. We appreciate your feedback!",
            thankyouSubHeader: "We hope you will continue to provide us your perspective in the future.",
            thankyouBtnText: "Done",
        };
    }
    ngOnInit() {
        const { header, subHeader, submitBtnText, showClose, thankyouHeader, thankyouSubHeader, thankyouBtnText, enableProgressive, progressiveChipInfo, } = this;
        this.feedbackWidgetService.updateMetaData({
            header,
            subHeader,
            submitBtnText,
            showClose,
            thankyouHeader,
            thankyouSubHeader,
            thankyouBtnText,
            enableProgressive,
            progressiveChipInfo,
        });
    }
}
DpwFeedbackWidgetComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetComponent, deps: [{ token: DpwFeedbackWidgetService }], target: i0.ɵɵFactoryTarget.Component });
DpwFeedbackWidgetComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: DpwFeedbackWidgetComponent, selector: "lib-dpw-feedback-widget", inputs: { widgetName: "widgetName", productName: "productName", header: "header", subHeader: "subHeader", ratingStyle: "ratingStyle", submitBtnText: "submitBtnText", showClose: "showClose", thankyouHeader: "thankyouHeader", thankyouSubHeader: "thankyouSubHeader", thankyouBtnText: "thankyouBtnText", enableProgressive: "enableProgressive", progressiveChipInfo: "progressiveChipInfo" }, ngImport: i0, template: "<div class=\"feedback-widget-container\">\n  <ng-container\n    [ngSwitch]=\"ratingStyle.toUpperCase()\"\n    *ngIf=\"!feedbackSubmitted; else thankyou\"\n  >\n    <ng-container *ngSwitchCase=\"'STAR'\">\n      <app-star-feedback-widget></app-star-feedback-widget>\n    </ng-container>\n    <ng-container *ngSwitchCase=\"'SMILEY'\">\n      <app-smiley-feedback-widget></app-smiley-feedback-widget>\n    </ng-container>\n  </ng-container>\n  <ng-template #thankyou>\n    <lib-feedback-widget-thankyou></lib-feedback-widget-thankyou>\n  </ng-template>\n</div>\n", styles: [":host .feedback-widget-container{position:fixed;z-index:99999999;background:rgba(0,0,0,.5);width:100%;height:100%;top:0;left:0;bottom:0;right:0}:host ::ng-deep .dialog-container{background:#ffffff;border-radius:3px 3px 0 0;padding:40px;box-sizing:border-box;overflow:auto;position:absolute;left:50%;top:50%;transform:translate(-50%,-50%)}\n"], components: [{ type: StarFeedbackWidgetComponent, selector: "app-star-feedback-widget" }, { type: SmileyFeedbackWidgetComponent, selector: "app-smiley-feedback-widget" }, { type: FeedbackWidgetThankyouComponent, selector: "lib-feedback-widget-thankyou" }], directives: [{ type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetComponent, decorators: [{
            type: Component,
            args: [{
                    selector: "lib-dpw-feedback-widget",
                    templateUrl: "./dpw-feedback-widget.component.html",
                    styleUrls: ["./dpw-feedback-widget.component.scss"],
                }]
        }], ctorParameters: function () { return [{ type: DpwFeedbackWidgetService }]; }, propDecorators: { widgetName: [{
                type: Input
            }], productName: [{
                type: Input
            }], header: [{
                type: Input
            }], subHeader: [{
                type: Input
            }], ratingStyle: [{
                type: Input
            }], submitBtnText: [{
                type: Input
            }], showClose: [{
                type: Input
            }], thankyouHeader: [{
                type: Input
            }], thankyouSubHeader: [{
                type: Input
            }], thankyouBtnText: [{
                type: Input
            }], enableProgressive: [{
                type: Input
            }], progressiveChipInfo: [{
                type: Input
            }] } });

class DpwFeedbackWidgetModule {
}
DpwFeedbackWidgetModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DpwFeedbackWidgetModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetModule, declarations: [DpwFeedbackWidgetComponent,
        StarFeedbackWidgetComponent,
        SmileyFeedbackWidgetComponent,
        FeedbackWidgetHeaderComponent,
        FeedbackWidgetFooterComponent,
        FeedbackWidgetThankyouComponent], imports: [CommonModule], exports: [DpwFeedbackWidgetComponent] });
DpwFeedbackWidgetModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DpwFeedbackWidgetModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        DpwFeedbackWidgetComponent,
                        StarFeedbackWidgetComponent,
                        SmileyFeedbackWidgetComponent,
                        FeedbackWidgetHeaderComponent,
                        FeedbackWidgetFooterComponent,
                        FeedbackWidgetThankyouComponent,
                    ],
                    imports: [CommonModule],
                    exports: [DpwFeedbackWidgetComponent],
                }]
        }] });

/*
 * Public API Surface of dpw-feedback-widget
 */

/**
 * Generated bundle index. Do not edit.
 */

export { DpwFeedbackWidgetComponent, DpwFeedbackWidgetModule, DpwFeedbackWidgetService };
//# sourceMappingURL=dpw-feedback-widget.js.map
